

People like to see when the emergency sync and emergency remount operations
have completed.



 fs/buffer.c |    2 ++
 fs/super.c  |    1 +
 2 files changed, 3 insertions(+)

diff -puN fs/buffer.c~emergency-sync-printk fs/buffer.c
--- 25/fs/buffer.c~emergency-sync-printk	2003-05-12 21:23:22.000000000 -0700
+++ 25-akpm/fs/buffer.c	2003-05-12 21:23:22.000000000 -0700
@@ -253,6 +253,8 @@ static void do_sync(unsigned long wait)
 	sync_filesystems(0);	/* Start syncing the filesystems */
 	sync_filesystems(wait);	/* Waitingly sync the filesystems */
 	sync_inodes(wait);	/* Mappings, inodes and blockdevs, again. */
+	if (!wait)
+		printk("Emergency Sync complete\n");
 }
 
 asmlinkage long sys_sync(void)
diff -puN fs/super.c~emergency-sync-printk fs/super.c
--- 25/fs/super.c~emergency-sync-printk	2003-05-12 21:23:22.000000000 -0700
+++ 25-akpm/fs/super.c	2003-05-12 21:23:22.000000000 -0700
@@ -497,6 +497,7 @@ static void do_emergency_remount(unsigne
 		spin_lock(&sb_lock);
 	}
 	spin_unlock(&sb_lock);
+	printk("Emergency Remount complete\n");
 }
 
 void emergency_remount(void)

_
